/// FacebookPost returns [postUrl] [videoSdUrl] [videoHdUrl] [videoMp3Url] [commentsCount] [sharesCount]
class FacebookPost {
  /// postUrl
  String? postUrl = '';

  /// post low quality video link [videoSdUrl]
  String? videoSdUrl = '';

  /// post high quality video link [videoHdUrl]
  String? videoHdUrl = '';

  /// post MP3 link [videoMp3Url]
  String? videoMp3Url = '';

  /// post comments count [commentsCount]
  int? commentsCount = 0;

  /// post shares count [sharesCount]
  int? sharesCount = 0;

  FacebookPost({
    this.postUrl,
    this.videoSdUrl,
    this.videoHdUrl,
    this.videoMp3Url,
    this.commentsCount,
    this.sharesCount,
  });

  /// convert into [FacebookPost]
  factory FacebookPost.fromMap(Map<String, String> map) {
    return FacebookPost(
      postUrl: map['postUrl'] == null ? '' : map['postUrl'],
      videoSdUrl: map['videoSdUrl'],
      videoHdUrl: map['videoHdUrl'],
      videoMp3Url: map['videoMp3Url'],
      commentsCount: int.parse(map['commentsCount']!),
      sharesCount: int.parse(map['sharesCount']!),
    );
  }
}
